Package Details: pick-colour-picker 1.51-1

Git Clone URL: https://aur.archlinux.org/pick-colour-picker.git (read-only, click to copy)
Package Base: pick-colour-picker
Description: Colour picker that remembers where you picked colours from
Upstream URL: https://www.kryogenix.org/code/pick/
Licenses: MIT
Submitter: bulantoni
Maintainer: IBArbitrary
Last Packager: IBArbitrary
Votes: 9
Popularity: 0.76
First Submitted: 2016-12-29 18:50 (UTC)
Last Updated: 2021-12-10 13:31 (UTC)

Latest Comments

Durag commented on 2019-06-01 19:16 (UTC)

Ok, I got it now. It wasn't missing python-setuptools but instead python2-setuptools. Please add this as dependency.

Durag commented on 2019-05-30 23:16 (UTC)

Thanks for your fast reply! I tried again and I get the same error as before.

kylesferrazza commented on 2019-05-30 22:16 (UTC)

@Durag

The package was missing a dependency on python-setuptools. Please try again.

Durag commented on 2019-05-30 21:42 (UTC)

Can't start the application:

Traceback (most recent call last): File "/usr/bin/pick-colour-picker", line 6, in <module> from pkg_resources import load_entry_point ImportError: No module named pkg_resources

lebaux commented on 2019-04-19 20:12 (UTC)

Works on Manjaro i3 with additional installation of python2-gobject and python2-cairo. Thank wallace11!

wallace11 commented on 2019-01-12 10:55 (UTC)

Missing deps:

  • python2-gobject

  • python2-cairo

python2-pip as a dep is a mystery...

saverio commented on 2018-07-18 10:12 (UTC) (edited on 2018-07-18 10:13 (UTC) by saverio)

I was able to let this utility to work on my Arch system installing these packages: python2-gobject, python-gobject2.

candronikos commented on 2018-01-28 07:55 (UTC)

I got the following error:

pkg_resources.DistributionNotFound: The 'PyGObject' distribution was not found and is required by pick-colour-picker

Swedneck commented on 2017-12-12 19:45 (UTC)

Needed to install python2-cairo for this to work on Manjaro.

omouren commented on 2017-10-04 14:09 (UTC)

I just changed the PKGBUILD, hope that's good! It works for me on Antergos

GutenYe commented on 2017-07-27 06:16 (UTC)

@bulantoni Please update the PKGBUILD, if you don't have time, please disown it or remove it. OTHERWISE, you just give user a totally wrong installation. (which copy whole system /usr/bin files)

anglebeta commented on 2017-04-28 02:58 (UTC)

Modify the PKGBUILD file as following, work for me. ===================== pkgname=pick-colour-picker pkgver=1.5 pkgrel=0 pkgdesc="Pick. A colour picker that remembers where you picked colours from" arch=('any') url="http://kryogenix.org/code/pick/" license=('custom') depends=('python2-pip') source=("${pkgname}_${pkgver}-0-201702011054-ubuntu17.10.1_all.deb::https://code.launchpad.net/~sil/+archive/ubuntu/pick/+files/${pkgname}_${pkgver}-0~201702011054~ubuntu17.10.1_all.deb") md5sums=('6debb5d29903792366725131b6d082c7') prepare() { bsdtar -xJf data.tar.xz } package() { cp --preserve=mode -r usr "${pkgdir}" find "${pkgdir}" -type f -name 'pick-colour-picker' -exec sed -i "s/python/python2/g" {} \; find "${pkgdir}" -depth -type d -name "dist-packages" -execdir mv {} "site-packages" \; find "${pkgdir}" -type d -exec chmod 755 {} \; install -dm755 "${pkgdir}"/usr/share/licenses/$pkgname mv "${pkgdir}"/usr/share/licenses/$pkgname . }

astroboy589 commented on 2017-04-09 01:49 (UTC)

[user@host ~]$ pacaur -S pick-colour-picker :: Package pick-colour-picker not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts... AUR Packages (1) pick-colour-picker-1.5.0-1 :: Proceed with installation? [Y/n] :: Retrieving package(s)... Cloning into 'pick-colour-picker'... remote: Counting objects: 4, done. remote: Compressing objects: 100% (4/4), done. remote: Total 4 (delta 0), reused 4 (delta 0) Unpacking objects: 100% (4/4), done. :: View pick-colour-picker PKGBUILD? [Y/n] n [sudo] password for user: :: Checking pick-colour-picker integrity... ==> Making package: pick-colour-picker 1.5-1 (Sun Apr 9 11:47:16 AEST 2017) ==> Retrieving sources... -> Downloading pick-colour-picker_1.5-0-201606011144-ubuntu16.10.1_all.deb... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0 100 93566 100 93566 0 0 19230 0 0:00:04 0:00:04 --:--:-- 40734 ==> Validating source files with md5sums... pick-colour-picker_1.5-0-201606011144-ubuntu16.10.1_all.deb ... Passed :: Building pick-colour-picker package(s)... ==> Making package: pick-colour-picker 1.5-1 (Sun Apr 9 11:47:22 AEST 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found pick-colour-picker_1.5-0-201606011144-ubuntu16.10.1_all.deb ==> Validating source files with md5sums... pick-colour-picker_1.5-0-201606011144-ubuntu16.10.1_all.deb ... Passed ==> Extracting sources... -> Extracting pick-colour-picker_1.5-0-201606011144-ubuntu16.10.1_all.deb with bsdtar ==> Starting prepare()... ==> Entering fakeroot environment... ==> Starting package()... cp: cannot open '/usr/bin/cdda2wav' for reading: Permission denied cp: cannot open '/usr/bin/cdrecord' for reading: Permission denied cp: cannot open '/usr/bin/readcd' for reading: Permission denied cp: cannot open '/usr/bin/rscsi' for reading: Permission denied cp: cannot open '/usr/bin/cupsd' for reading: Permission denied cp: cannot open '/usr/bin/mount.nfs' for reading: Permission denied ==> ERROR: A failure occurred in package(). Aborting... :: failed to build pick-colour-picker package(s)

adriaanzon commented on 2017-01-07 18:59 (UTC) (edited on 2017-01-07 19:16 (UTC) by adriaanzon)

This PKGBUILD is invalid for the following reasons: - The `cp` statement copies every binary on your system (contents of /usr/bin) and adds it to the package - The `mv` statement only has one argument, thus the installation fails. Also, it should be ${pkgdir} instead of {$pkgdir} - .SRCINFO needs to be updated